package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface FormItemDao {

    @Query("select * from FormItem")
    fun getAll(): LiveData<List<FormItem>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: FormItem)

    @Query("delete from FormItem")
    suspend fun deleteAll()

}